Crystal Space: csLibraryReference Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csLibraryReference Class Reference

An object representing a reference to a library. More...

`#include <cstool/saverref.h>`

Inheritance diagram for csLibraryReference:

[legend]
List of all members.

## Public Member Functions
| csLibraryReference (const char *file, const char *path=0, bool checkDupes=false)
| The constructor.
virtual bool | GetCheckDupes () const
| Get whether we should check dupes.
virtual const char * | GetFile () const
| Get the file name of the library reference.
virtual const char * | GetPath () const
| Get the path of the library reference.
virtual iObject * | QueryObject ()
| Get the iObject for this interface.
void | SelfDestruct ()
| Remove me!
virtual | ~csLibraryReference ()
| The destructor.

## Detailed Description

An object representing a reference to a library.

Definition at line 37 of file saverref.h.

## Constructor & Destructor Documentation

csLibraryReference::csLibraryReference | ( | const char * | file,
|  | const char * | path = `0`,
|  | bool | checkDupes = `false` |
| ) |  |  |

The constructor.

virtual csLibraryReference::~csLibraryReference | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

virtual bool csLibraryReference::GetCheckDupes | ( |  | ) | const`[virtual]`

Get whether we should check dupes.

Implements iLibraryReference.

virtual const char* csLibraryReference::GetFile | ( |  | ) | const`[virtual]`

Get the file name of the library reference.

Implements iLibraryReference.

virtual const char* csLibraryReference::GetPath | ( |  | ) | const`[virtual]`

Get the path of the library reference.

Implements iLibraryReference.

virtual iObject* csLibraryReference::QueryObject | ( |  | ) | `[inline, virtual]`

Get the iObject for this interface.

Implements iLibraryReference.

Definition at line 60 of file saverref.h.

void csLibraryReference::SelfDestruct | ( |  | ) | `[inline, virtual]`

Remove me!

Implements iSelfDestruct.

Definition at line 62 of file saverref.h.

The documentation for this class was generated from the following file:

- cstool/saverref.h